package cn.com.poc.thirdparty.resource.demand.pay.query;

import cn.com.yict.framemax.data.model.BaseItemClass;

import javax.persistence.Column;
import javax.persistence.Entity;
import java.io.Serializable;

/**
 * Query Item class for OrderInfoListQuery
 */
@Entity
public class OrderInfoListQueryItem extends BaseItemClass implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * order_sn
     * order_sn
     */
    private String orderSn;

    @Column(name = "order_sn")
    public String getOrderSn() {
        return this.orderSn;
    }

    public void setOrderSn(String orderSn) {
        this.orderSn = orderSn;
    }

    /**
     * total_amount
     * total_amount
     */
    private Integer totalAmount;

    @Column(name = "total_amount")
    public Integer getTotalAmount() {
        return this.totalAmount;
    }

    public void setTotalAmount(Integer totalAmount) {
        this.totalAmount = totalAmount;
    }

    /**
     * need_pay_amount
     * need_pay_amount
     */
    private Integer needPayAmount;

    @Column(name = "need_pay_amount")
    public Integer getNeedPayAmount() {
        return this.needPayAmount;
    }

    public void setNeedPayAmount(Integer needPayAmount) {
        this.needPayAmount = needPayAmount;
    }

    /**
     * paid_amount
     * paid_amount
     */
    private Integer paidAmount;

    @Column(name = "paid_amount")
    public Integer getPaidAmount() {
        return this.paidAmount;
    }

    public void setPaidAmount(Integer paidAmount) {
        this.paidAmount = paidAmount;
    }

    /**
     * order_type
     * order_type
     */
    private String orderType;

    @Column(name = "order_type")
    public String getOrderType() {
        return this.orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }

    /**
     * member_id
     * member_id
     */
    private Integer memberId;

    @Column(name = "member_id")
    public Integer getMemberId() {
        return this.memberId;
    }

    public void setMemberId(Integer memberId) {
        this.memberId = memberId;
    }

    /**
     * currency
     * currency
     */
    private String currency;

    @Column(name = "currency")
    public String getCurrency() {
        return this.currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    /**
     * order_status
     * order_status
     */
    private String orderStatus;

    @Column(name = "order_status")
    public String getOrderStatus() {
        return this.orderStatus;
    }

    public void setOrderStatus(String orderStatus) {
        this.orderStatus = orderStatus;
    }

    /**
     * pay_status
     * pay_status
     */
    private String payStatus;

    @Column(name = "pay_status")
    public String getPayStatus() {
        return this.payStatus;
    }

    public void setPayStatus(String payStatus) {
        this.payStatus = payStatus;
    }

    /**
     * pay_time
     * pay_time
     */
    private java.util.Date payTime;

    @Column(name = "pay_time")
    public java.util.Date getPayTime() {
        return this.payTime;
    }

    public void setPayTime(java.util.Date payTime) {
        this.payTime = payTime;
    }

    /**
     * cancel_time
     * cancel_time
     */
    private java.util.Date cancelTime;

    @Column(name = "cancel_time")
    public java.util.Date getCancelTime() {
        return this.cancelTime;
    }

    public void setCancelTime(java.util.Date cancelTime) {
        this.cancelTime = cancelTime;
    }

    /**
     * CREATED_TIME
     * CREATED_TIME
     */
    private java.util.Date createdTime;

    @Column(name = "CREATED_TIME")
    public java.util.Date getCreatedTime() {
        return this.createdTime;
    }

    public void setCreatedTime(java.util.Date createdTime) {
        this.createdTime = createdTime;
    }

    /**
     * relation_type
     * relation_type
     */
    private String relationType;

    @Column(name = "relation_type")
    public String getRelationType() {
        return this.relationType;
    }

    public void setRelationType(String relationType) {
        this.relationType = relationType;
    }

    /**
     * relation_id
     * relation_id
     */
    private String relationId;

    @Column(name = "relation_id")
    public String getRelationId() {
        return this.relationId;
    }

    public void setRelationId(String relationId) {
        this.relationId = relationId;
    }

    /**
     * relation_name
     * relation_name
     */
    private String relationName;

    @Column(name = "relation_name")
    public String getRelationName() {
        return this.relationName;
    }

    public void setRelationName(String relationName) {
        this.relationName = relationName;
    }

    /**
     * nick_name
     * nick_name
     */
    private String nickName;

    @Column(name = "nick_name")
    public String getNickName() {
        return this.nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    /**
     * mobile_phone
     * mobile_phone
     */
    private String mobilePhone;

    @Column(name = "mobile_phone")
    public String getMobilePhone() {
        return this.mobilePhone;
    }

    public void setMobilePhone(String mobilePhone) {
        this.mobilePhone = mobilePhone;
    }

    /**
     * merchant_name
     * merchant_name
     */
    private String merchantName;

    @Column(name = "merchant_name")
    public String getMerchantName() {
        return this.merchantName;
    }

    public void setMerchantName(String merchantName) {
        this.merchantName = merchantName;
    }

} 